connect
Get trigger
Get the schema for a single trigger type.
GET
/
connect
/
{namespace}
/
{connectionId}
/
.triggers
/
{triggerName}
Get trigger
curl --request GET \
--url https://api.smithery.ai/connect/{namespace}/{connectionId}/.triggers/{triggerName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smithery.ai/connect/{namespace}/{connectionId}/.triggers/{triggerName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.smithery.ai/connect/{namespace}/{connectionId}/.triggers/{triggerName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "page.updated",
"delivery": [
"webhook"
],
"description": "<string>",
"inputSchema": {},
"payloadSchema": {}
}{
"error": "not_found",
"message": "Resource not found"
}Authorizations
Smithery API key as Bearer token
Response
Trigger definition
Trigger name exposed by the MCP server
Example:
"page.updated"
Supported delivery modes
Example:
["webhook"]
JSON Schema for the params required to create the trigger
Show child attributes
Show child attributes
JSON Schema for the event payload delivered by the trigger
Show child attributes
Show child attributes
Was this page helpful?
Previous
Subscribe to triggerSubscribe to (or refresh) a trigger. Supplying the same (params, delivery.url) refreshes the TTL and may rotate the secret.
Next
⌘I
Get trigger
